Skip to main content
GET
/
fine_tuning
/
jobs
/
{fine_tuning_job_id}
Retrieve Fine-tuning Job
curl --request GET \
  --url https://{controlPlaneURL}/api/llm/fine_tuning/jobs/{fine_tuning_job_id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "fine_tuning.job",
  "id": "<string>",
  "model": "<string>",
  "created_at": 123,
  "fine_tuned_model": "<string>",
  "organization_id": "<string>",
  "result_files": [
    "<string>"
  ],
  "status": "queued",
  "validation_file": "<string>",
  "training_file": "<string>",
  "finished_at": 123,
  "hyperparameters": {},
  "trained_tokens": 123,
  "integrations": [
    {}
  ],
  "seed": 123,
  "estimated_finish": 123,
  "method": {},
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

Path Parameters

fine_tuning_job_id
string
required

The ID of the fine-tuning job

Response

Fine-tuning job retrieved successfully

object
enum<string>
required

The object type

Available options:
fine_tuning.job
id
string
required

The fine-tuning job ID

model
string
required

The model being fine-tuned

created_at
integer
required

The Unix timestamp when the job was created

fine_tuned_model
string | null
required

The name of the fine-tuned model that is being created

organization_id
string
required

The organization that owns the fine-tuning job

result_files
string[]
required

The compiled results files for the fine-tuning job

status
enum<string>
required

The current status of the fine-tuning job

Available options:
queued,
running,
succeeded,
failed,
cancelled
validation_file
string | null
required

The file ID used for validation

training_file
string
required

The file ID used for training

finished_at
integer | null

The Unix timestamp when the job finished

hyperparameters
object

The hyperparameters used for the fine-tuning job

trained_tokens
integer | null

The total number of tokens used for training

integrations
object[] | null

A list of integrations enabled for the fine-tuning job

seed
integer | null

The seed used for the fine-tuning job

estimated_finish
integer | null

The estimated finish timestamp for the job

method
object

The method used for fine-tuning

metadata
object

Set of 16 key-value pairs that can be attached to an object